Tepl-6.00.0

Introduction to Tepl

The Tepl package contains a library that eases the development of GtkSourceView-based text editors and IDEs.

This package is known to build and work properly using an LFS-11.0 platform.

Package Information

Tepl Dependencies

Required

amtk-5.2.0, gtksourceview4-4.8.2, ICU-69.1, and uchardet-0.0.7

Optional

GTK-Doc-1.33.2 (for documentation) and Valgrind-3.17.0

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/tepl

Installation of Tepl

Install Tepl by running the following commands:

mkdir build &&
cd    build &&

meson --prefix=/usr --buildtype=release .. &&
ninja

To test the results, issue: ninja test.

Now, as the root user:

ninja install

Command Explanations

-Dgtk_doc=true: Use this option if GTK-Doc is installed and you wish to build and install the API documentation.

Contents

Installed Programs: None
Installed Libraries: libtepl-6.so
Installed Directories: /usr/include/tepl-6 and /usr/share/gtk-doc/html/tepl-6.0

Short Descriptions

libtepl-5.so

contains convenience functions for GtkSourceView4-based programs

Last updated on Mon Aug 30 17:07:14 2021